Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 446698 - dev-libs/ppl-1.1 version bump
Summary: dev-libs/ppl-1.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Toolchain Maintainers
URL: http://bugseng.com/products/ppl
Whiteboard:
Keywords: PATCH
Depends on: 448024 468988
Blocks: 201321 473334
  Show dependency tree
 
Reported: 2012-12-10 08:49 UTC by Jeremy Murphy
Modified: 2016-05-21 12:24 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-libs/ppl-1.0 patch (ppl-1.0-numeric_limits-redefined.patch,4.42 KB, patch)
2012-12-20 21:15 UTC, Jimmy.Jazz
Details | Diff
dev-libs/ppl-1.1_pre5 patch (ppl-1.1_pre5-numeric_limits-redefined.patch,4.43 KB, patch)
2012-12-20 21:17 UTC, Jimmy.Jazz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Murphy 2012-12-10 08:49:27 UTC
Version 1.0 of ppl was released on 28th June, 2012.
Comment 1 Jimmy.Jazz 2012-12-20 21:15:13 UTC
Created attachment 332840 [details, diff]
dev-libs/ppl-1.0 patch

failed to compile w/ dev-libs/gmp-5.1.0 if not patched
Comment 2 Jimmy.Jazz 2012-12-20 21:17:14 UTC
Created attachment 332842 [details, diff]
dev-libs/ppl-1.1_pre5 patch

idem for snapshots but not same files
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2013-05-09 02:51:25 UTC
This version will have to be installed in a new SLOT.  Waiting til we get 0.12 stable first though.
Comment 4 Jeremy Murphy 2013-06-15 05:32:46 UTC
Just so you know, ppl-0.12 fails to compile against the new glpk-4.50.  See bug #473334.
Comment 5 Jeroen Roovers gentoo-dev 2013-07-23 01:25:13 UTC
(In reply to Ryan Hill from comment #3)
> This version will have to be installed in a new SLOT.  Waiting til we get
> 0.12 stable first though.
Comment 6 theodor 2013-11-13 14:14:15 UTC
ppl-1.1 was released. 
http://bugseng.com/archive/news/ppl-11-has-been-released
Comment 7 Dennis Schridde 2014-01-30 10:54:21 UTC
(In reply to Jeroen Roovers from comment #5)
> (In reply to Ryan Hill from comment #3)
> > This version will have to be installed in a new SLOT.  Waiting til we get
> > 0.12 stable first though.

0.12.1-r1 is currently stable on most arches.
Comment 8 Julian Ospald 2014-05-23 12:38:56 UTC
are we still waiting for something?
Comment 9 Ryan Hill (RETIRED) gentoo-dev 2014-05-23 18:03:14 UTC
Just free time.  I'll get it done this weekend.
Comment 10 Ryan Hill (RETIRED) gentoo-dev 2014-05-27 23:33:05 UTC
I have new ebuilds for ppl-0.12.1 and cloog-ppl that move the library and headers out of the way so we can go forward with new versions.  I need to do some work on gcc to keep things from breaking before I add them though.
Comment 11 SpanKY gentoo-dev 2014-11-04 04:14:17 UTC
should be all set now in the tree; thanks for the report!

Commit message: Version bump
http://sources.gentoo.org/dev-libs/ppl/ppl-1.1.ebuild?rev=1.1